# EV6 Hardware Implementatie
This repository includes all files for both the experiments and the assignment for the EV6 Hardware Implementation course at HU Electrical Engineering. 

## Data
Data has been collected for the two experiment using the Tektronix Oscilloscope, the files in `./data` correspond to the different setups as follows:
### Reflectieproef
| File | Description |
| --- | --- |
| T0000CH1.csv | Setup with only probe connected |
| T0001CH1.csv | Setup 3 x 50 Ohms coax cables in series unterminated |
| T0002CH1.csv | Setup 3 x 50 Ohms coax cables in series terminated 0 Ohms |
| T0003CH1.csv | Setup 3 x 50 Ohms coax cables in series terminated 50 Ohms  |
| T0004CH1.csv | Setup 1 x 75 Ohms coax cable unterminated |

### Overspraakproef
| File | Exercise | End | Description |
| --- | --- | --- | --- |
| T0005CH1.csv | 4.4 | Far end | Capacitive crosstalk - **Might only contain Channel 1** |
| T0006CH1.csv| 4.4 | Far end | Capacitive crosstalk - **Might only contain Channel 1** | 
| T0007ALL.csv| 4.4 | Far end | Capacitive crosstalk - **Should contain both** |
| T0008ALL.csv| 4.4 | Near end | Capacitive crosstalk |
| T0009ALL.csv| 4.5 | Far end | Inductive crosstalk |
| T00010ALL.csv| 4.5 | Near end | Inductive crosstalk |
| T00011ALL.csv| 4.5 | Far end | All crosstalk - **50 Ohm terminator** |
| T00012ALL.csv| 4.5 | Near end | All crosstalk - **50 Ohm terminator** |
| T00013ALL.csv| 4.5 | Far end | All crosstalk - **230 Ohm terminator** |
| T00014ALL.csv| 4.5 | Near end | All crosstalk - **230 Ohm terminator** |



## Documents
This repository contains two LaTeX source directories:
### `./doc/pcb`
Description of PCB design choices.
- Arne van Iterson

### `./doc/experiment`
Measurement reports for aforementioned experiments.
- Arne van Iterson
- Tom Selier

## Scripts
This repository contains scripts to assist in parsing data obtained from a Tektronix oscilloscope 

### `./scripts/reflection.py`
A script containing the neccessary steps to find peaks and measure the peaks and throughs of a 1d signal.

### `./scripts/reader.py`
A module containing a class to read data from a tektronix oscilloscope. 

### `./scripts/helper.py`
A module containing a function that slices array based on time.